AntPathMatcher.AntPathStringMatcher (Grails 6.0.0)

Package: org.grails.io.support

## [Java] Class AntPathMatcher.AntPathStringMatcher

- org.grails.io.support.AntPathMatcher.AntPathStringMatcher

-     static class AntPathMatcher.AntPathStringMatcher

  Package-protected helper class for org.springframework.util.AntPathMatcher. Tests whether or not a string matches against a pattern via a java.util.regex.Pattern.

  The pattern may contain special characters: '*' means zero or more characters; '?' means one and only one character; '{' and '}' indicate a URI template pattern. For example `/users/{user}`.

  Authors:
    Arjen Poutsma
    Rossen Stoyanchev
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `DEFAULT_VARIABLE_PATTERN` |
    `private static java.util.regex.Pattern` | `GLOB_PATTERN` |
    `private java.util.regex.Pattern` | `pattern` |
    `private java.lang.String` | `str` |
    `private java.util.Map<java.lang.String, java.lang.String>` | `uriTemplateVariables` |
    `private java.util.List<java.lang.String>` | `variableNames` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AntPathStringMatcher (java.lang.String pattern, java.lang.String str, java.util.Map<java.lang.String, java.lang.String> uriTemplateVariables)` Construct a new instance of the `AntPatchStringMatcher`.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private java.util.regex.Pattern` | `createPattern(java.lang.String p)`
    `` | `public boolean` | `matchStrings()` Main entry point.
    `` | `private java.lang.String` | `quote(java.lang.String s, int start, int end)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String DEFAULT_VARIABLE_PATTERN

    - #### private static final java.util.regex.Pattern GLOB_PATTERN

    - #### private final java.util.regex.Pattern pattern

    - #### private java.lang.String str

    - #### private final java.util.Map<java.lang.String, java.lang.String> uriTemplateVariables

    - #### private final java.util.List<java.lang.String> variableNames

  - ### Constructor Detail

    - #### AntPathStringMatcher(java.lang.String pattern, java.lang.String str, java.util.Map<java.lang.String, java.lang.String> uriTemplateVariables)

      Construct a new instance of the `AntPatchStringMatcher`.

  - ### Method Detail

    - #### private java.util.regex.Pattern createPattern(java.lang.String p)

    - #### public boolean matchStrings()

      Main entry point.

      Returns:
        `true` if the string matches against the pattern, or `false` otherwise.

    - #### private java.lang.String quote(java.lang.String s, int start, int end)